/*
 * Copyright (c) 2004-2007 Erez Zadok
 * Copyright (c) 2004-2007 Stony Brook University
 * Copyright (c) 2004-2007 The Research Foundation of State University of New York
 * Copyright (c) 2004-2007 Nikolai Joukov
 * Copyright (c) 2004-2005 Timothy Wong
 */

#include "debug.h"
#include "replay.h"

struct thread_manager_data_list;

typedef struct thread_manager_data {
  int thread_loc;
  int pid;
  int first_use;
  int last_use;
  short created; //Create op added
} thread_manager_data_t;

void thread_manager_init();
void thread_manager_destroy();
int thread_manager_request_thread(int pid);
int thread_manager_process_thread_requests();
