#!/bin/sh
# Copyright (c) 2003-2007 Erez Zadok
# Copyright (c) 2003-2007 Stony Brook University
# Copyright (c) 2003-2007 The Research Foundation of State University of New York
# Copyright (c) 2004-2007 Nikolai Joukov
# Copyright (c) 2003-2005 Akshat Aranya
# Copyright (c) 2006-2007 Gopala Surya

LOWERDIR=/n/lower
MOUNTPOINT=/n/tracefs-upper
DEBUG=0
BINDIR=../tracefs
UTILDIR=../utils
#CONF=streaming_tracefs_config
CONF=replayfs.conf
export LD_LIBRARY_PATH=${UTILDIR}/tracefs-ctl
/sbin/insmod ${BINDIR}/tracefs.ko || exit $?
\rm -rf ${MOUNTPOINT}/*
\rm -rf ${LOWERDIR}/*
mount -t tracefs -o dir=${LOWERDIR},debug=${4:-$DEBUG} none ${MOUNTPOINT} || exit $?

rm -f /tmp/trfs.log
${UTILDIR}/tracefs-ctl/conf_mountpoint -p ${MOUNTPOINT} < $CONF
${UTILDIR}/tracefs-ctl/tracefs-ctl ${MOUNTPOINT} go 0

#
# Replace this 'ls' with the activity to trace
#
##################
#Tracing operation begins
##################


